### A free/open-source library for quantitative finance

Public Member Functions
BlackProcess Class Reference
Stochastic processes

Black (1976) stochastic process. More...

`#include <ql/processes/blackscholesprocess.hpp>`

Inheritance diagram for BlackProcess:
[legend]

List of all members.

## Public Member Functions

| BlackProcess (const Handle< Quote > &x0, const Handle< YieldTermStructure > &riskFreeTS, const Handle< BlackVolTermStructure > &blackVolTS, const boost::shared_ptr< discretization > &d=boost::shared_ptr< discretization >(new EulerDiscretization))

## Detailed Description

Black (1976) stochastic process.

This class describes the stochastic process for a forward or futures contract given by